﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Reflection;
using System.Windows.Media.Imaging;
using System.Windows.Media;
using System.Windows;

namespace LabiHAL
{
    /// <summary>
    /// A class to manage bitmaps that contains multiple bitmaps next to each other.
    /// </summary>
    class ButtonGraphics
    {
        BitmapFrame src;
        public ButtonGraphics(String Name)
        {
            Assembly ThisAssembly = Assembly.GetExecutingAssembly();
            using (Stream Stream = ThisAssembly.GetManifestResourceStream(Name))
            {
                src = BitmapFrame.Create(Stream);
            }
        }

        public CroppedBitmap GetImage(int index)
        {
            return new CroppedBitmap(src, new Int32Rect(index*48, 0, 48, 50));
        }


    }
}
